<!doctype html>
<html lang="en">


	<head>
		<meta charset="utf-8">
			
		  <title>TextGrid Repository functionalities from the user’s perspective</title>
			
		  <meta name="description" content="TextGrid Repository functionalities from the user’s perspective">
			<meta name="author" content="Dr. José Calvo Tello">

			<meta name="apple-mobile-web-app-capable" content="yes">
			<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
			
			<meta name="viewport" content="width=device-width, initial-scale=1.0">
			
			<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
			<link rel="stylesheet" href="custom.css">
			
			<!-- Theme used for syntax highlighting of code --> 	
			<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->

## TextGrid Repository functionalities from the user’s perspective


<br />

## CLARIAH-ES, Euskal Herriko Unibertsitatea
### 13-14.06.2023

<hr />

#### José Calvo Tello
##### SUB Göttingen, Text+


--

# Advantages of TGR

* Free of charge
* Multilingual
* Provided by a library (SUB) and a computing centre (GWDG)
* Core Trust Seal certification
* Harvested by Catalogue of Catalogues (like OpenAIRE, EOSC)
* Integrated in Virtual Language Observatory and Virtual Collection Registry (CLARIN)
* XML (TEI) specific

--

# Disadvantages of TGR

* XML (TEI) specific
* Your-very-specific-feature does not shine as expected
	* Although it can shine more than before!
* Complex metadata model
* Import process
* Technology and resource constraints

---

# Integration of already existing resources

--

# Integration of already existing resources

- CoNSSA
- ELTeC

--

# CoNSSA
* Novels by Spanish authors
* 1880-1939
* Original corpus: 358 prose texts
* Copyright issues
* 219 published
* TEI XML
* (Calvo Tello 2021b; 2021a)
* Annotated (catalogue metadata, literary phenomena)
* https://textgridrep.org/project/TGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb
* Example: *La media noche*: https://hdl.handle.net/21.11113/0000-000F-774F-4 

--

# ELTeC

* European Literary Text Collection (ELTeC)
* COST Action "Distant Reading for European Literary History"
* Novels
* European languages
* 1840-1920
* 100 novels per language
* TEI XML
* (Burnard, Schöch, and Odebrecht 2021; Schöch et al. 2021)
* 14 corpora imported into TGR (beta)
* https://sandbox.dev.textgridrep.org/project/TGPR-5d9f2f27-7019-3901-1ab1-630dc237b4df

--

# Current features of TGR

- Archiving and publishing 
- Transformation
	- HTML
	- Plain text
	- ePUB (!) <!--jk: Wieso hier ein Ausrufezeichen?-->
- Persistent identifiers
- Table of Content generation
- Shelf function
- Integrated tools using standards (TEI)

--

# Current services
- Send text(s) to CLARIN Switchboard
- Send text(s) to Voyant tools
- Annotate
* https://hdl.handle.net/21.11113/0000-000F-774F-4 


--

# Current posibilities

- Fulltext search
	- [Austria](https://textgridrep.org/search?query=Austria&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
	- [Españ*](https://textgridrep.org/search?query=Espa%C3%B1*&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
- Metadata search
	- [work.agent.id:"gnd:118641573"](https://textgridrep.org/search?query=work.agent.id%3A%22gnd%3A118641573%22&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
	- [work.dateOfCreation.value:>1900 work.dateOfCreation.value:<1910](https://textgridrep.org/search?query=work.dateOfCreation.value%3A%3E1900+work.dateOfCreation.value%3A%3C1910+&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)
- Combination of fulltext and metadata queries
	[work.subject.id.value: authorGender AND work.subject.value: female AND work.dateOfCreation.value:>1890 AND work.dateOfCreation.value:<1900 AND Españ*](https://textgridrep.org/search?query=work.subject.id.value%3A+authorGender+AND+work.subject.value%3A+female+AND+work.dateOfCreation.value%3A%3E1890+AND+work.dateOfCreation.value%3A%3C1900+AND+Espa%C3%B1*&order=relevance&limit=20&mode=list&filter=format:text%2Fxml&filter=project.id%3ATGPR-8b44ca41-6fa1-9b49-67b7-6374d97e29eb)

--

# Proyect Specific Facets

- https://sandbox.dev.textgridrep.org/project/TGPR-5d9f2f27-7019-3901-1ab1-630dc237b4df


					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    